Skip to main content

Direct call

POST{{server}}/api/v1/counter/callTicket

For direct call, use this endpoint with ticket parameter in the body or URL parameters. The ticket is the key value of the ticket from the List callable tickets endpoint

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "1905ebe0-6177-4fd5-31dc-7269fb041ecb"
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/callTicket' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "1905ebe0-6177-4fd5-31dc-7269fb041ecb"
}'

Examples (2)​

Example request
POST{{server}}/api/v1/counter/callTicket
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1905ebe0-6177-4fd5-31dc-7269fb041ecb"
}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length1327
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"key": "1905ebe0-6177-4fd5-31dc-7269fb041ecb",
"status": 30,
"user": "00000000-0000-4000-0002-000000000006",
"counter": "00000000-0000-4000-0010-000000000003",
"calls": 1,
"statusTime": 1719576456446,
"reserved": false,
"history": {},
"language": "00000000-0000-4000-0004-000000000001",
"createdAt": 1719576430102,
"number": "007",
"bookingCode": null,
"crm": null,
"createType": 1,
"comments": null,
"customerData": {},
"priority": 5,
"transactionTimeSum": 0,
"waitingTimeSum": 0,
"recording": 0,
"customerName": null,
"tasks": [
{
"type": 7,
"key": "1905ebe0-6164-4e7b-d627-c2ff2d3822bb",
"subType": 1,
"name": "Service 3",
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Service 3",
"explanation": null,
"comment": null
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 20,
"aspect": null,
"normalDelay": 120,
"forcedDelay": 180,
"services": [],
"code": 3,
"time": 1708594264876,
"": null,
"service": "00000000-0000-4000-0007-000000000003",
"createType": 1,
"createdAt": 1719576430102,
"statusTime": 1719576430102,
"zero": false,
"user": null
}
]
}